[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| GrayToRGBAccessor Class Template Reference |
--- | --- | ---

`#include "vigra/rgbvalue.hxx"`

## Public Methods

template<class ITERATOR> value_type | operator() (ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE> value_type | operator() (ITERATOR const &i, DIFFERENCE d) const

## Detailed Description

### template<class VALUETYPE>
class vigra::GrayToRGBAccessor< VALUETYPE >

Create an RGB view for a grayscale image by making all three channels equal.

#include "vigra/rgbvalue.hxx"
Namespace: vigra

## Member Function Documentation

value_type operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Get RGB value at an offset

value_type operator() | ( | ITERATOR const & | i | ) | const`[inline]`

| Get RGB value for the given pixel.

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)